﻿using FlowerShopDataModels.Models;

namespace FlowerShopContracts.BindingModels
{
    public class BouquetBindingModel : IBouquetModel
    {
        public int Id { get; set; }
        public string BouquetName { get; set; } = string.Empty;
        public double Price { get; set; }
        public Dictionary<int, (IComponentModel, int)> BouquetComponents { get; set; } = new();
    }
}