﻿using FlowerShopDataModels.Models;

namespace FlowerShopContracts.BindingModels
{
    public class ShopBindingModel : IShopModel
    {
        public int Id { get; set; }

        public string Name { get; set; } = string.Empty;

        public string Address { get; set; } = string.Empty;

        public DateTime OpeningDate { get; set; }

        public int MaxCountBouquets { get; set; }

        public Dictionary<int, (IBouquetModel, int)> ShopBouquets { get; set; }
    }
}
