﻿namespace FlowerShopDataModels.Models
{
    public interface IShopModel : IId
    {
        string Name { get; }
        string Address { get; }
        DateTime OpeningDate { get; }
        int MaxCountBouquets { get; }
        Dictionary<int, (IBouquetModel, int)> ShopBouquets { get; }
    }
}
