﻿using FlowerShopContracts.BindingModels;
using FlowerShopContracts.SearchModels;
using FlowerShopContracts.ViewModels;

namespace FlowerShopContracts.BusinessLogicsContracts
{
    public interface IBouquetLogic
    {
        List<BouquetViewModel>? ReadList(BouquetSearchModel? model);
        BouquetViewModel? ReadElement(BouquetSearchModel model);
        bool Create(BouquetBindingModel model);
        bool Update(BouquetBindingModel model);
        bool Delete(BouquetBindingModel model);
    }
}