﻿using FlowerShopContracts.BindingModels;
using FlowerShopContracts.SearchModels;
using FlowerShopContracts.ViewModels;

namespace FlowerShopContracts.StoragesContracts
{
    public interface IBouquetStorage
    {
        List<BouquetViewModel> GetFullList();
        List<BouquetViewModel> GetFilteredList(BouquetSearchModel model);
        BouquetViewModel? GetElement(BouquetSearchModel model);
        BouquetViewModel? Insert(BouquetBindingModel model);
        BouquetViewModel? Update(BouquetBindingModel model);
        BouquetViewModel? Delete(BouquetBindingModel model);
    }
}
