﻿using FlowerShopDataModels.Models;
using System.ComponentModel;

namespace FlowerShopContracts.ViewModels
{
    public class BouquetViewModel : IBouquetModel
    {
        public int Id { get; set; }
        [DisplayName("Название букета")]
        public string BouquetName { get; set; } = string.Empty;
        [DisplayName("Цена")]
        public double Price { get; set; }
        public Dictionary<int, (IComponentModel, int)> BouquetComponents { get; set; } = new();
    }
}
